Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class QuickTimeMultiplexer

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream
          org.monte.media.quicktime.QuickTimeOutputStream
              org.monte.media.quicktime.QuickTimeWriter
                  org.monte.media.quicktime.QuickTimeMultiplexer

All Implemented Interfaces:
  MovieWriter, Multiplexer

    public class QuickTimeMultiplexer

extends QuickTimeWriter
implements Multiplexer

`QuickTimeMultiplexer`.

Version:
  1.0 2011-02-20 Created.
Author:
  Werner Randelshofer

Nested Class Summary

Nested classes/interfaces inherited from class org.monte.media.quicktime.AbstractQuickTimeStream
`AbstractQuickTimeStream.Atom, AbstractQuickTimeStream.AudioTrack, AbstractQuickTimeStream.Chunk, AbstractQuickTimeStream.CompositeAtom, AbstractQuickTimeStream.DataAtom, AbstractQuickTimeStream.Edit, AbstractQuickTimeStream.Group, AbstractQuickTimeStream.Sample, AbstractQuickTimeStream.SampleSizeGroup, AbstractQuickTimeStream.States, AbstractQuickTimeStream.TimeToSampleGroup, AbstractQuickTimeStream.Track, AbstractQuickTimeStream.VideoTrack, AbstractQuickTimeStream.WideDataAtom`

Field Summary

Fields inherited from class org.monte.media.quicktime.QuickTimeWriter
`QUICKTIME, VIDEO_ANIMATION, VIDEO_JPEG, VIDEO_PNG, VIDEO_RAW`

Fields inherited from class org.monte.media.quicktime.AbstractQuickTimeStream
`creationTime, mdatAtom, mdatOffset, modificationTime, moovAtom, movieMatrix, movieTimeScale, out, state, streamOffset, tracks`

Constructor Summary
`QuickTimeMultiplexer(java.io.File file)`
`QuickTimeMultiplexer(javax.imageio.stream.ImageOutputStream out)` Creates a new QuickTime writer.

Method Summary

Methods inherited from class org.monte.media.quicktime.QuickTimeWriter
`addAudioTrack, addTrack, addVideoTrack, addVideoTrack, getCodec, getDuration, getFileFormat, getFormat, getTrackCount, isDataLimitReached, isVFRSupported, setCodec, write, write, write, write`

Methods inherited from class org.monte.media.quicktime.QuickTimeOutputStream
`addAudioTrack, addVideoTrack, close, ensureOpen, ensureStarted, finish, getCompressionQuality, getMediaDuration, getMediaTimeScale, getMovieDuration, getMovieTimeScale, getSyncInterval, getTrackDuration, getTransformationMatrix, getUneditedTrackDuration, getVideoColorTable, setCompressionQuality, setCreationTime, setEditList, setModificationTime, setMovieTimeScale, setSyncInterval, setTransformationMatrix, setVideoColorTable, toWebOptimizedMovie, writeSample, writeSample, writeSample, writeSample, writeSamples, writeSamples, writeSamples`

Methods inherited from class org.monte.media.quicktime.AbstractQuickTimeStream
`getRelativeStreamPosition, intToType, seekRelative, typeToInt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.monte.media.Multiplexer
`close, write`

Methods inherited from interface org.monte.media.MovieWriter
`close`

Constructor Detail

### QuickTimeMultiplexer

    public QuickTimeMultiplexer(java.io.File file)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### QuickTimeMultiplexer

    public QuickTimeMultiplexer(javax.imageio.stream.ImageOutputStream out)
                         throws java.io.IOException

  Creates a new QuickTime writer.

  Parameters:
    `out` - the underlying output stream.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD